Debian Bug report logs - #626299
debian-installer: installer broken on armel - "Can't check signature: public key not found"

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Gerd <booster@wolke7.net>

Date: Tue, 10 May 2011 17:54:01 UTC

Severity: serious

Done: booster@wolke7.net

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#626299; Package debian-installer. (Tue, 10 May 2011 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerd <booster@wolke7.net>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 10 May 2011 17:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gerd <booster@wolke7.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: installer broken on armel - "Can't check signature: public key not found"
Date: Tue, 10 May 2011 19:51:27 +0200
Package: debian-installer
Severity: serious
Justification: Policy 3.8


Installs for armel (on QNAP TS-219) fails because the Release signature cannot be
verified. From the syslog:

May 10 17:29:43 choose-mirror[1718]: DEBUG: command: wget -q http://ftp2.de.debian.org/debian//dists/oldstable/Release -O - | grep -E '^(Suite|Codename):'
May 10 17:29:43 choose-mirror[1718]: DEBUG: command: wget -q http://ftp2.de.debian.org/debian//dists/lenny/Release -O - | grep -E '^(Suite|Codename):'
May 10 17:29:43 choose-mirror[1718]: DEBUG: command: wget -q http://ftp2.de.debian.org/debian//dists/stable/Release -O - | grep -E '^(Suite|Codename):'
May 10 17:29:43 choose-mirror[1718]: DEBUG: command: wget -q http://ftp2.de.debian.org/debian//dists/squeeze/Release -O - | grep -E '^(Suite|Codename):'
May 10 17:29:43 choose-mirror[1718]: DEBUG: command: wget -q http://ftp2.de.debian.org/debian//dists/testing/Release -O - | grep -E '^(Suite|Codename):'
May 10 17:29:44 choose-mirror[1718]: DEBUG: command: wget -q http://ftp2.de.debian.org/debian//dists/wheezy/Release -O - | grep -E '^(Suite|Codename):'
May 10 17:29:44 choose-mirror[1718]: DEBUG: command: wget -q http://ftp2.de.debian.org/debian//dists/unstable/Release -O - | grep -E '^(Suite|Codename):'
May 10 17:29:44 choose-mirror[1718]: DEBUG: command: wget -q http://ftp2.de.debian.org/debian//dists/sid/Release -O - | grep -E '^(Suite|Codename):'
May 10 17:29:44 choose-mirror[1718]: INFO: suite/codename set to: stable/squeeze
May 10 17:29:44 choose-mirror[1718]: DEBUG: command: wget -q http://ftp2.de.debian.org/debian//dists/squeeze/main/binary-armel/Release -O - | grep ^Architecture:
May 10 17:29:44 anna[1555]: WARNING **: bad d-i Packages file
May 10 17:29:44 net-retriever: gpgv:
May 10 17:29:44 net-retriever: Signature made Tue May 10 14:23:03 2011 UTC using RSA key ID 473041FA
May 10 17:29:44 net-retriever: gpgv:
May 10 17:29:44 net-retriever: Can't check signature: public key not found
May 10 17:29:44 net-retriever: error: Bad signature on /tmp/net-retriever-1747-Release.


-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (601, 'stable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.32-5-kirkwood
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#626299; Package debian-installer. (Tue, 10 May 2011 21:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 10 May 2011 21:33:12 GMT) Full text and rfc822 format available.

Message #10 received at 626299@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Gerd <booster@wolke7.net>, 626299@bugs.debian.org
Subject: Re: Bug#626299: debian-installer: installer broken on armel - "Can't check signature: public key not found"
Date: Tue, 10 May 2011 23:30:27 +0200
* Gerd <booster@wolke7.net> [2011-05-10 19:51]:
> May 10 17:29:44 choose-mirror[1718]: INFO: suite/codename set to: stable/squeeze
> May 10 17:29:44 choose-mirror[1718]: DEBUG: command: wget -q http://ftp2.de.debian.org/debian//dists/squeeze/main/binary-armel/Release -O - | grep ^Architecture:
> May 10 17:29:44 anna[1555]: WARNING **: bad d-i Packages file

I'm traveling at the moment so I cannot try to reproduce this.  Gerd,
it seems the problem is with the Packages file but I don't see
anything about this in the logs.  Can you make the full syslog
available somewhere?  Also, can you tell me which debian-installer
image you're using?  I assume you obtained the latest from
ftp://ftp.debian.org/debian/dists/stable/main/installer-armel/current/images/kirkwood/network-console/qnap/ts-219/
i.e. the files dated March 15th.  Finally, can you try another mirror?

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#626299; Package debian-installer. (Wed, 11 May 2011 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to booster@wolke7.net:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 11 May 2011 17:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 626299@bugs.debian.org (full text, mbox):

From: booster@wolke7.net
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 626299@bugs.debian.org
Subject: Re: Bug#626299: debian-installer: installer broken on armel - "Can't check signature: public key not found"
Date: Wed, 11 May 2011 19:21:08 +0200
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> * Gerd <booster@wolke7.net> [2011-05-10 19:51]:
>   
>> May 10 17:29:44 choose-mirror[1718]: INFO: suite/codename set to: stable/squeeze
>> May 10 17:29:44 choose-mirror[1718]: DEBUG: command: wget -q http://ftp2.de.debian.org/debian//dists/squeeze/main/binary-armel/Release -O - | grep ^Architecture:
>> May 10 17:29:44 anna[1555]: WARNING **: bad d-i Packages file
>>     
>
> I'm traveling at the moment so I cannot try to reproduce this.  Gerd,
> it seems the problem is with the Packages file but I don't see
> anything about this in the logs.  Can you make the full syslog
> available somewhere?  Also, can you tell me which debian-installer
> image you're using?  I assume you obtained the latest from
> ftp://ftp.debian.org/debian/dists/stable/main/installer-armel/current/images/kirkwood/network-console/qnap/ts-219/
> i.e. the files dated March 15th.  Finally, can you try another mirror?
>
>   

Hello Martin, thanks for the reply.
I'm using the latest installer image from the link you mentioned
and I also tried different mirrors with the same result.

Please see the attached full syslog file.

Thanks for your help,
Gerd

[syslog.txt (text/plain, inline)]
May 11 17:10:41 syslogd started: BusyBox v1.15.3
May 11 17:10:41 kernel: klogd started: BusyBox v1.15.3 (Debian 1:1.15.3-1)
May 11 17:10:41 kernel: [    0.000000] Initializing cgroup subsys cpuset
May 11 17:10:41 kernel: [    0.000000] Initializing cgroup subsys cpu
May 11 17:10:41 kernel: [    0.000000] Linux version 2.6.32-5-kirkwood (Debian 2.6.32-15) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-1) ) #1 Thu Jun 3 15:54:38 UTC 2010
May 11 17:10:41 kernel: [    0.000000] CPU: Feroceon 88FR131 [56251311] revision 1 (ARMv5TE), cr=00053977
May 11 17:10:41 kernel: [    0.000000] CPU: VIVT data cache, VIVT instruction cache
May 11 17:10:41 kernel: [    0.000000] Machine: QNAP TS-119/TS-219
May 11 17:10:41 kernel: [    0.000000] Ignoring unrecognised tag 0x41000403
May 11 17:10:41 kernel: [    0.000000] Memory policy: ECC disabled, Data cache writeback
May 11 17:10:41 kernel: [    0.000000] On node 0 totalpages: 131072
May 11 17:10:41 kernel: [    0.000000] free_area_init_node: node 0, pgdat c03db168, node_mem_map c0448000
May 11 17:10:41 kernel: [    0.000000]   Normal zone: 1024 pages used for memmap
May 11 17:10:41 kernel: [    0.000000]   Normal zone: 0 pages reserved
May 11 17:10:41 kernel: [    0.000000]   Normal zone: 130048 pages, LIFO batch:31
May 11 17:10:41 kernel: [    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 130048
May 11 17:10:41 kernel: [    0.000000] Kernel command line: console=ttyS0,115200 root=/dev/ram initrd=0xa00000,0x900000 ramdisk=32768
May 11 17:10:41 kernel: [    0.000000] PID hash table entries: 2048 (order: 1, 8192 bytes)
May 11 17:10:41 kernel: [    0.000000] Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
May 11 17:10:41 kernel: [    0.000000] Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
May 11 17:10:41 kernel: [    0.000000] Memory: 256MB 256MB = 512MB total
May 11 17:10:41 kernel: [    0.000000] Memory: 505984KB available (3548K code, 583K data, 120K init, 0K highmem)
May 11 17:10:41 kernel: [    0.000000] SLUB: Genslabs=11, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
May 11 17:10:41 kernel: [    0.000000] Hierarchical RCU implementation.
May 11 17:10:41 kernel: [    0.000000] NR_IRQS:114
May 11 17:10:41 kernel: [    0.000000] Console: colour dummy device 80x30
May 11 17:10:41 kernel: [   21.474970] Calibrating delay loop... 1199.30 BogoMIPS (lpj=5996544)
May 11 17:10:41 kernel: [   21.704927] Security Framework initialized
May 11 17:10:41 kernel: [   21.704947] SELinux:  Disabled at boot.
May 11 17:10:41 kernel: [   21.704973] Mount-cache hash table entries: 512
May 11 17:10:41 kernel: [   21.705279] Initializing cgroup subsys ns
May 11 17:10:41 kernel: [   21.705295] Initializing cgroup subsys cpuacct
May 11 17:10:41 kernel: [   21.705305] Initializing cgroup subsys devices
May 11 17:10:41 kernel: [   21.705315] Initializing cgroup subsys freezer
May 11 17:10:41 kernel: [   21.705323] Initializing cgroup subsys net_cls
May 11 17:10:41 kernel: [   21.705367] CPU: Testing write buffer coherency: ok
May 11 17:10:41 kernel: [   21.706120] devtmpfs: initialized
May 11 17:10:41 kernel: [   21.707815] regulator: core version 0.5
May 11 17:10:41 kernel: [   21.708031] NET: Registered protocol family 16
May 11 17:10:41 kernel: [   21.708559] Kirkwood: MV88F6281-A0, TCLK=200000000.
May 11 17:10:41 kernel: [   21.708573] Feroceon L2: Enabling L2
May 11 17:10:41 kernel: [   21.708606] Feroceon L2: Cache support initialised.
May 11 17:10:41 kernel: [   21.709030] initial MPP regs: 11112222 03303311 55551100 00000000 00000000 00000000 00000000
May 11 17:10:41 kernel: [   21.709053]   final MPP regs: 11552222 03303311 55551100 00000000 00000000 00000000 00000000
May 11 17:10:41 kernel: [   21.709588] pci 0000:00:00.0: reg 10 64bit mmio pref: [0xf1000000-0xf10fffff]
May 11 17:10:41 kernel: [   21.709603] pci 0000:00:00.0: reg 18 32bit mmio: [0x000000-0x1fffffff]
May 11 17:10:41 kernel: [   21.709630] pci 0000:00:00.0: supports D1 D2
May 11 17:10:41 kernel: [   21.709662] PCI: bus0: Fast back to back transfers disabled
May 11 17:10:41 kernel: [   21.711010] bio: create slab <bio-0> at 0
May 11 17:10:41 kernel: [   21.711287] vgaarb: loaded
May 11 17:10:41 kernel: [   21.711745] Switching to clocksource orion_clocksource
May 11 17:10:41 kernel: [   21.715484] NET: Registered protocol family 2
May 11 17:10:41 kernel: [   21.715719] IP route cache hash table entries: 4096 (order: 2, 16384 bytes)
May 11 17:10:41 kernel: [   21.716481] TCP established hash table entries: 16384 (order: 5, 131072 bytes)
May 11 17:10:41 kernel: [   21.716833] TCP bind hash table entries: 16384 (order: 4, 65536 bytes)
May 11 17:10:41 kernel: [   21.717012] TCP: Hash tables configured (established 16384 bind 16384)
May 11 17:10:41 kernel: [   21.717022] TCP reno registered
May 11 17:10:41 kernel: [   21.717172] NET: Registered protocol family 1
May 11 17:10:41 kernel: [   21.717351] Unpacking initramfs...
May 11 17:10:41 kernel: [   22.120970] Freeing initrd memory: 9216K
May 11 17:10:41 kernel: [   22.121072] NetWinder Floating Point Emulator V0.97 (double precision)
May 11 17:10:41 kernel: [   22.121318] audit: initializing netlink socket (disabled)
May 11 17:10:41 kernel: [   22.121365] type=2000 audit(0.630:1): initialized
May 11 17:10:41 kernel: [   22.128064] VFS: Disk quotas dquot_6.5.2
May 11 17:10:41 kernel: [   22.128326] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
May 11 17:10:41 kernel: [   22.128423] JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
May 11 17:10:41 kernel: [   22.129009] msgmni has been set to 1006
May 11 17:10:41 kernel: [   22.130684] alg: No test for stdrng (krng)
May 11 17:10:41 kernel: [   22.130808] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
May 11 17:10:41 kernel: [   22.130821] io scheduler noop registered
May 11 17:10:41 kernel: [   22.130828] io scheduler anticipatory registered
May 11 17:10:41 kernel: [   22.130836] io scheduler deadline registered
May 11 17:10:41 kernel: [   22.131017] io scheduler cfq registered (default)
May 11 17:10:41 kernel: [   22.137124] Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled
May 11 17:10:41 kernel: [   22.137590] serial8250.0: ttyS0 at MMIO 0xf1012000 (irq = 33) is a 16550A
May 11 17:10:41 kernel: [   22.470267] console [ttyS0] enabled
May 11 17:10:41 kernel: [   22.474032] serial8250.1: ttyS1 at MMIO 0xf1012100 (irq = 34) is a 16550A
May 11 17:10:41 kernel: [   22.481816] m25p80 spi0.0: m25p128 (16384 Kbytes)
May 11 17:10:41 kernel: [   22.486546] Creating 6 MTD partitions on "spi_flash":
May 11 17:10:41 kernel: [   22.491626] 0x000000000000-0x000000080000 : "U-Boot"
May 11 17:10:41 kernel: [   22.497222] 0x000000200000-0x000000400000 : "Kernel"
May 11 17:10:41 kernel: [   22.502716] 0x000000400000-0x000000d00000 : "RootFS1"
May 11 17:10:41 kernel: [   22.508242] 0x000000d00000-0x000001000000 : "RootFS2"
May 11 17:10:41 kernel: [   22.513766] 0x000000080000-0x0000000c0000 : "U-Boot Config"
May 11 17:10:41 kernel: [   22.519796] 0x0000000c0000-0x000000200000 : "NAS Config"
May 11 17:10:41 kernel: [   22.525821] mice: PS/2 mouse device common for all mice
May 11 17:10:41 kernel: [   23.531785] rtc-mv rtc-mv: internal RTC not ticking
May 11 17:10:41 kernel: [   23.536778] i2c /dev entries driver
May 11 17:10:41 kernel: [   23.542183] rtc-s35390a 0-0030: rtc core: registered rtc-s35390a as rtc0
May 11 17:10:41 kernel: [   23.549134] cpuidle: using governor ladder
May 11 17:10:41 kernel: [   23.553399] cpuidle: using governor menu
May 11 17:10:41 kernel: [   23.557405] mv_xor_shared mv_xor_shared.0: Marvell shared XOR driver
May 11 17:10:41 kernel: [   23.563820] mv_xor_shared mv_xor_shared.1: Marvell shared XOR driver
May 11 17:10:41 kernel: [   23.601805] mv_xor mv_xor.0: Marvell XOR: ( xor cpy )
May 11 17:10:41 kernel: [   23.641804] mv_xor mv_xor.1: Marvell XOR: ( xor fill cpy )
May 11 17:10:41 kernel: [   23.681803] mv_xor mv_xor.2: Marvell XOR: ( xor cpy )
May 11 17:10:41 kernel: [   23.721805] mv_xor mv_xor.3: Marvell XOR: ( xor fill cpy )
May 11 17:10:41 kernel: [   23.728473] TCP cubic registered
May 11 17:10:41 kernel: [   23.731718] NET: Registered protocol family 17
May 11 17:10:41 kernel: [   23.736214] Gating clock of unused units
May 11 17:10:41 kernel: [   23.736222] before: 0x00c7c1dd
May 11 17:10:41 kernel: [   23.736229]  after: 0x00c7c1cd
May 11 17:10:41 kernel: [   23.736553] registered taskstats version 1
May 11 17:10:41 kernel: [   23.741959] rtc-s35390a 0-0030: setting system clock to 2011-05-11 17:10:38 UTC (1305133838)
May 11 17:10:41 kernel: [   23.750438] Initalizing network drop monitor service
May 11 17:10:41 kernel: [   23.755513] Freeing init memory: 120K
May 11 17:10:41 kernel: [   23.990330] input: gpio-keys as /devices/platform/gpio-keys/input/input0
May 11 17:10:41 kernel: [   24.177837] SCSI subsystem initialized
May 11 17:10:41 kernel: [   24.239129] usbcore: registered new interface driver usbfs
May 11 17:10:41 kernel: [   24.245369] usbcore: registered new interface driver hub
May 11 17:10:41 kernel: [   24.259481] MV-643xx 10/100/1000 ethernet driver version 1.4
May 11 17:10:41 kernel: [   24.265376] usbcore: registered new device driver usb
May 11 17:10:41 kernel: [   24.276702] mv643xx_eth smi: probed
May 11 17:10:41 kernel: [   24.375841] libata version 3.00 loaded.
May 11 17:10:41 kernel: [   24.382481] net eth0: port 0 with MAC address 00:08:9b:be:df:8c
May 11 17:10:41 kernel: [   24.405830] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
May 11 17:10:41 kernel: [   24.412985] orion-ehci orion-ehci.0: Marvell Orion EHCI
May 11 17:10:41 kernel: [   24.418298] orion-ehci orion-ehci.0: new USB bus registered, assigned bus number 1
May 11 17:10:41 kernel: [   24.461885] orion-ehci orion-ehci.0: irq 19, io mem 0xf1050000
May 11 17:10:41 kernel: [   24.491864] orion-ehci orion-ehci.0: USB 2.0 started, EHCI 1.00
May 11 17:10:41 kernel: [   24.497867] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
May 11 17:10:41 kernel: [   24.504723] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
May 11 17:10:41 kernel: [   24.511993] usb usb1: Product: Marvell Orion EHCI
May 11 17:10:41 kernel: [   24.516717] usb usb1: Manufacturer: Linux 2.6.32-5-kirkwood ehci_hcd
May 11 17:10:41 kernel: [   24.523118] usb usb1: SerialNumber: orion-ehci.0
May 11 17:10:41 kernel: [   24.528839] usb usb1: configuration #1 chosen from 1 choice
May 11 17:10:41 kernel: [   24.534785] hub 1-0:1.0: USB hub found
May 11 17:10:41 kernel: [   24.538586] hub 1-0:1.0: 1 port detected
May 11 17:10:41 kernel: [   24.542750] sata_mv sata_mv.0: version 1.28
May 11 17:10:41 kernel: [   24.547075] sata_mv sata_mv.0: slots 32 ports 2
May 11 17:10:41 kernel: [   24.561185] scsi0 : sata_mv
May 11 17:10:41 kernel: [   24.564714] scsi1 : sata_mv
May 11 17:10:41 kernel: [   24.567953] ata1: SATA max UDMA/133 irq 21
May 11 17:10:41 kernel: [   24.572140] ata2: SATA max UDMA/133 irq 21
May 11 17:10:41 kernel: [   24.861799] usb 1-1: new high speed USB device using orion-ehci and address 2
May 11 17:10:41 kernel: [   25.013162] usb 1-1: New USB device found, idVendor=05e3, idProduct=0608
May 11 17:10:41 kernel: [   25.019897] usb 1-1: New USB device strings: Mfr=0, Product=1, SerialNumber=0
May 11 17:10:41 kernel: [   25.027078] usb 1-1: Product: USB2.0 Hub
May 11 17:10:41 kernel: [   25.032326] usb 1-1: configuration #1 chosen from 1 choice
May 11 17:10:41 kernel: [   25.039590] hub 1-1:1.0: USB hub found
May 11 17:10:41 kernel: [   25.048552] hub 1-1:1.0: 4 ports detected
May 11 17:10:41 kernel: [   25.081798] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl F300)
May 11 17:10:41 kernel: [   25.121829] ata1.00: ATA-8: Hitachi HDT721010SLA360, ST6OA31B, max UDMA/133
May 11 17:10:41 kernel: [   25.128828] ata1.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32)
May 11 17:10:41 kernel: [   25.191886] ata1.00: configured for UDMA/133
May 11 17:10:41 kernel: [   25.196477] scsi 0:0:0:0: Direct-Access     ATA      Hitachi HDT72101 ST6O PQ: 0 ANSI: 5
May 11 17:10:41 kernel: [   26.371796] ata2: SATA link up 3.0 Gbps (SStatus 123 SControl F300)
May 11 17:10:41 kernel: [   26.411821] ata2.00: ATA-8: Hitachi HDT721010SLA360, ST6OA31B, max UDMA/133
May 11 17:10:41 kernel: [   26.418822] ata2.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32)
May 11 17:10:41 kernel: [   26.481878] ata2.00: configured for UDMA/133
May 11 17:10:41 kernel: [   26.486425] scsi 1:0:0:0: Direct-Access     ATA      Hitachi HDT72101 ST6O PQ: 0 ANSI: 5
May 11 17:10:41 kernel: [   26.532940] sd 0:0:0:0: [sda] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
May 11 17:10:41 kernel: [   26.541886] sd 1:0:0:0: [sdb] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
May 11 17:10:41 kernel: [   26.549811] sd 0:0:0:0: [sda] Write Protect is off
May 11 17:10:41 kernel: [   26.554653] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
May 11 17:10:41 kernel: [   26.555379] sd 1:0:0:0: [sdb] Write Protect is off
May 11 17:10:41 kernel: [   26.560199] sd 1:0:0:0: [sdb] Mode Sense: 00 3a 00 00
May 11 17:10:41 kernel: [   26.560339] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
May 11 17:10:41 kernel: [   26.569509] sd 1:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
May 11 17:10:41 kernel: [   26.579177]  sda:
May 11 17:10:41 kernel: [   26.581556]  sdb: sda1 sda2 sda3
May 11 17:10:41 kernel: [   26.595244]  sdb1 sdb2 sdb3
May 11 17:10:41 kernel: [   26.606640] sd 0:0:0:0: [sda] Attached SCSI disk
May 11 17:10:41 kernel: [   26.618052] sd 1:0:0:0: [sdb] Attached SCSI disk
May 11 17:10:44 preseed: successfully loaded preseed file from file:///preseed.cfg
May 11 17:10:48 init: starting pid 964, tty '': '/sbin/reopen-console /sbin/debian-installer'
May 11 17:10:48 init: starting pid 967, tty '/dev/tty4': '/usr/bin/tail -f /var/log/syslog'
May 11 17:10:48 debconf: Setting debconf/language to en
May 11 17:10:48 main-menu[976]: DEBUG: resolver (libc6-udeb): package doesn't exist (ignored)
May 11 17:10:48 main-menu[976]: DEBUG: resolver (libgcc1): package doesn't exist (ignored)
May 11 17:10:48 main-menu[976]: INFO: Menu item 'ethdetect' selected
May 11 17:10:49 apt-install: Queueing package udev for later installation
May 11 17:10:49 apt-install: Queueing package pciutils for later installation
May 11 17:10:49 apt-install: Queueing package usbutils for later installation
May 11 17:10:50 hw-detect: Missing modules 'usb-storage (USB storage)
May 11 17:10:51 check-missing-firmware: no missing firmware in /dev/.udev/firmware-missing
May 11 17:10:52 check-missing-firmware: no missing firmware in /dev/.udev/firmware-missing
May 11 17:10:52 main-menu[976]: DEBUG: resolver (libc6-udeb): package doesn't exist (ignored)
May 11 17:10:52 main-menu[976]: DEBUG: resolver (libgcc1): package doesn't exist (ignored)
May 11 17:10:52 main-menu[976]: INFO: Menu item 'netcfg' selected
May 11 17:10:52 dhclient: Internet Systems Consortium DHCP Client V3.1.3
May 11 17:10:52 dhclient: Copyright 2004-2009 Internet Systems Consortium.
May 11 17:10:52 dhclient: All rights reserved.
May 11 17:10:52 dhclient: For info, please visit https://www.isc.org/software/dhcp/
May 11 17:10:52 dhclient:
May 11 17:10:52 dhclient: Listening on LPF/eth0/00:08:9b:be:df:8c
May 11 17:10:52 dhclient: Sending on   LPF/eth0/00:08:9b:be:df:8c
May 11 17:10:52 dhclient: Sending on   Socket/fallback
May 11 17:10:54 kernel: [   40.049654] eth0: link up, 1000 Mb/s, full duplex, flow control disabled
May 11 17:10:56 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 4
May 11 17:10:56 dhclient: DHCPOFFER from 192.168.178.5
May 11 17:10:56 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 11 17:10:56 dhclient: DHCPACK from 192.168.178.5
May 11 17:10:56 dhclient: bound to 192.168.178.12 -- renewal in 274827 seconds.
May 11 17:10:58 netcfg[1336]: INFO: Detected eth0 as a hotpluggable device
May 11 17:10:58 main-menu[976]: (process:1335): Internet Systems Consortium DHCP Client V3.1.3
May 11 17:10:58 main-menu[976]: (process:1335):
May 11 17:10:58 main-menu[976]: (process:1335): Copyright 2004-2009 Internet Systems Consortium.
May 11 17:10:58 main-menu[976]: (process:1335):
May 11 17:10:58 main-menu[976]: (process:1335): All rights reserved.
May 11 17:10:58 main-menu[976]: (process:1335):
May 11 17:10:58 main-menu[976]: (process:1335): For info, please visit https://www.isc.org/software/dhcp/
May 11 17:10:58 main-menu[976]: (process:1335):
May 11 17:10:58 main-menu[976]: (process:1335):
May 11 17:10:58 main-menu[976]: (process:1335): Listening on LPF/eth0/00:08:9b:be:df:8c
May 11 17:10:58 main-menu[976]: (process:1335): Sending on   LPF/eth0/00:08:9b:be:df:8c
May 11 17:10:58 main-menu[976]: (process:1335): Sending on   Socket/fallback
May 11 17:10:58 main-menu[976]: (process:1335): DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 4
May 11 17:10:58 main-menu[976]: (process:1335): DHCPOFFER from 192.168.178.5
May 11 17:10:58 main-menu[976]: (process:1335): DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 11 17:10:58 main-menu[976]: (process:1335): DHCPACK from 192.168.178.5
May 11 17:10:58 main-menu[976]: (process:1335):
May 11 17:10:58 main-menu[976]: (process:1335): bound to 192.168.178.12 -- renewal in 274827 seconds.
May 11 17:10:58 main-menu[976]: DEBUG: resolver (libc6-udeb): package doesn't exist (ignored)
May 11 17:10:58 main-menu[976]: DEBUG: resolver (libgcc1): package doesn't exist (ignored)
May 11 17:10:58 main-menu[976]: INFO: Menu item 'network-console' selected
May 11 17:10:59 sshd[1390]: Server listening on 0.0.0.0 port 22.
May 11 17:10:59 apt-install: Queueing package openssh-server for later installation
May 11 17:13:04 sshd[1434]: WARNING: /etc/ssh/moduli does not exist, using fixed modulus
May 11 17:13:12 sshd[1434]: Accepted password for installer from 192.168.178.46 port 60234 ssh2
May 11 17:13:12 sshd[1437]: lastlog_openseek: Couldn't stat /var/log/lastlog: No such file or directory
May 11 17:13:12 sshd[1437]: lastlog_openseek: Couldn't stat /var/log/lastlog: No such file or directory
May 11 17:13:13 debconf: Setting debconf/language to en
May 11 17:13:18 debconf: Setting debconf/language to en
May 11 17:13:18 main-menu[1445]: DEBUG: resolver (libc6-udeb): package doesn't exist (ignored)
May 11 17:13:18 main-menu[1445]: DEBUG: resolver (libgcc1): package doesn't exist (ignored)
May 11 17:13:18 main-menu[1445]: INFO: Menu item 'choose-mirror' selected
May 11 17:13:18 anna-install: Queueing udeb apt-mirror-setup for later installation
May 11 17:13:35 sshd[1477]: WARNING: /etc/ssh/moduli does not exist, using fixed modulus
May 11 17:13:41 sshd[1477]: Accepted password for installer from 192.168.178.46 port 60239 ssh2
May 11 17:13:41 sshd[1480]: lastlog_openseek: Couldn't stat /var/log/lastlog: No such file or directory
May 11 17:13:41 sshd[1480]: lastlog_openseek: Couldn't stat /var/log/lastlog: No such file or directory
May 11 17:13:41 debconf: Setting debconf/language to en
May 11 17:14:32 choose-mirror[1476]: DEBUG: command: wget -q http://ftp.us.debian.org/debian//dists/oldstable/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:14:36 choose-mirror[1476]: DEBUG: command: wget -q http://ftp.us.debian.org/debian//dists/lenny/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:14:50 choose-mirror[1476]: DEBUG: command: wget -q http://ftp.us.debian.org/debian//dists/stable/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:14:58 choose-mirror[1476]: DEBUG: command: wget -q http://ftp.us.debian.org/debian//dists/squeeze/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:15:04 choose-mirror[1476]: DEBUG: command: wget -q http://ftp.us.debian.org/debian//dists/testing/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:15:20 choose-mirror[1476]: DEBUG: command: wget -q http://ftp.us.debian.org/debian//dists/wheezy/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:15:25 choose-mirror[1476]: DEBUG: command: wget -q http://ftp.us.debian.org/debian//dists/unstable/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:15:38 choose-mirror[1476]: DEBUG: command: wget -q http://ftp.us.debian.org/debian//dists/sid/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:15:48 choose-mirror[1476]: INFO: suite/codename set to: stable/squeeze
May 11 17:15:48 choose-mirror[1476]: DEBUG: command: wget -q http://ftp.us.debian.org/debian//dists/squeeze/main/binary-armel/Release -O - | grep ^Architecture:
May 11 17:15:49 anna-install: Queueing udeb squeeze-support for later installation
May 11 17:15:49 main-menu[1445]: DEBUG: resolver (libc6-udeb): package doesn't exist (ignored)
May 11 17:15:49 main-menu[1445]: DEBUG: resolver (libgcc1): package doesn't exist (ignored)
May 11 17:15:49 main-menu[1445]: INFO: Menu item 'download-installer' selected
May 11 17:15:58 net-retriever: gpgv:
May 11 17:15:58 net-retriever: Signature made Wed May 11 02:25:17 2011 UTC using RSA key ID 473041FA
May 11 17:15:58 net-retriever: gpgv:
May 11 17:15:58 net-retriever: Can't check signature: public key not found
May 11 17:15:58 net-retriever: error: Bad signature on /tmp/net-retriever-1559-Release.
May 11 17:18:40 choose-mirror[1579]: DEBUG: command: wget -q http://ftp.de.debian.org/debian//dists/oldstable/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:18:41 choose-mirror[1579]: DEBUG: command: wget -q http://ftp.de.debian.org/debian//dists/lenny/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:18:43 choose-mirror[1579]: DEBUG: command: wget -q http://ftp.de.debian.org/debian//dists/stable/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:18:44 choose-mirror[1579]: DEBUG: command: wget -q http://ftp.de.debian.org/debian//dists/squeeze/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:18:45 choose-mirror[1579]: DEBUG: command: wget -q http://ftp.de.debian.org/debian//dists/testing/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:18:48 choose-mirror[1579]: DEBUG: command: wget -q http://ftp.de.debian.org/debian//dists/wheezy/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:18:50 choose-mirror[1579]: DEBUG: command: wget -q http://ftp.de.debian.org/debian//dists/unstable/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:18:52 choose-mirror[1579]: DEBUG: command: wget -q http://ftp.de.debian.org/debian//dists/sid/Release -O - | grep -E '^(Suite|Codename):'
May 11 17:18:58 choose-mirror[1579]: INFO: suite/codename set to: stable/squeeze
May 11 17:18:58 choose-mirror[1579]: DEBUG: command: wget -q http://ftp.de.debian.org/debian//dists/squeeze/main/binary-armel/Release -O - | grep ^Architecture:
May 11 17:18:58 anna[1555]: WARNING **: bad d-i Packages file
May 11 17:19:05 net-retriever: gpgv:
May 11 17:19:05 net-retriever: Signature made Wed May 11 02:25:17 2011 UTC using RSA key ID 473041FA
May 11 17:19:05 net-retriever: gpgv:
May 11 17:19:05 net-retriever: Can't check signature: public key not found
May 11 17:19:05 net-retriever: error: Bad signature on /tmp/net-retriever-1608-Release.
May 11 17:19:24 sshd[1629]: WARNING: /etc/ssh/moduli does not exist, using fixed modulus
May 11 17:19:35 sshd[1629]: error: Could not get shadow information for root
May 11 17:19:35 sshd[1629]: Failed password for root from 192.168.178.46 port 60259 ssh2
May 11 17:19:44 sshd[1629]: Received disconnect from 192.168.178.46: 13: Unable to authenticate
May 11 17:19:46 sshd[1632]: WARNING: /etc/ssh/moduli does not exist, using fixed modulus
May 11 17:19:53 sshd[1632]: Accepted password for installer from 192.168.178.46 port 60260 ssh2
May 11 17:19:53 sshd[1632]: subsystem request for sftp
May 11 17:19:53 sshd[1632]: subsystem request for sftp failed, subsystem not found
May 11 17:19:54 debconf: Setting debconf/language to en


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#626299; Package debian-installer. (Fri, 13 May 2011 17:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 13 May 2011 17:18:03 GMT) Full text and rfc822 format available.

Message #20 received at 626299@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: booster@wolke7.net
Cc: 626299@bugs.debian.org
Subject: Re: Bug#626299: debian-installer: installer broken on armel - "Can't check signature: public key not found"
Date: Fri, 13 May 2011 19:14:29 +0200
* booster@wolke7.net <booster@wolke7.net> [2011-05-11 19:21]:
> I'm using the latest installer image from the link you mentioned
> and I also tried different mirrors with the same result.

I just checked the latest debian-installer image and it definitely
contains the GPG key 473041FA, which the installer is complaining
about in the logs you sent.

I believe you're not using the latest installer.

Look at the logs you sent:

> May 11 17:10:41 kernel: [    0.000000] Linux version 2.6.32-5-kirkwood (Debian 2.6.32-15) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-1) ) #1 Thu Jun 3 15:54:38 UTC 2010

The kernel is built in June 2010.  But the latest Debian installer
image from
ftp://ftp.debian.org/debian/dists/stable/main/installer-armel/current/images/kirkwood/network-console/qnap/ts-219/
should, afaik, contain a much newer kernel (one from March 2011).

Can you download the installer image again and try once more?

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#626299; Package debian-installer. (Sat, 14 May 2011 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to booster@wolke7.net:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 14 May 2011 09:27:10 GMT) Full text and rfc822 format available.

Message #25 received at 626299@bugs.debian.org (full text, mbox):

From: booster@wolke7.net
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 626299@bugs.debian.org
Subject: Re: Bug#626299: debian-installer: installer broken on armel - "Can't check signature: public key not found"
Date: Sat, 14 May 2011 11:23:05 +0200
Martin Michlmayr wrote:
> * booster@wolke7.net <booster@wolke7.net> [2011-05-11 19:21]:
>   
>> I'm using the latest installer image from the link you mentioned
>> and I also tried different mirrors with the same result.
>>     
>
> I just checked the latest debian-installer image and it definitely
> contains the GPG key 473041FA, which the installer is complaining
> about in the logs you sent.
>
> I believe you're not using the latest installer.
>
> Look at the logs you sent:
>
>   
>> May 11 17:10:41 kernel: [    0.000000] Linux version 2.6.32-5-kirkwood (Debian 2.6.32-15) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-1) ) #1 Thu Jun 3 15:54:38 UTC 2010
>>     
>
> The kernel is built in June 2010.  But the latest Debian installer
> image from
> ftp://ftp.debian.org/debian/dists/stable/main/installer-armel/current/images/kirkwood/network-console/qnap/ts-219/
> should, afaik, contain a much newer kernel (one from March 2011).
>
> Can you download the installer image again and try once more?
>
>   
I downloaded the installer files again from the ftp site and have done a
new test with the same result.

After some debugging at the system with the installer running I found
that in the shell script
/usr/lib/debian-installer/retriever/net-retriever 'gpgv' is called (line
96ff). When I call this command
at the running system I get the following output:
~ # gpgv --status-fd 1 --keyring /usr/share/keyrings/archive.gpg
--ignore-time-conflict /tmp/net-retriever-1558-Release.gpg
/tmp/net-retriever-1558-Release
gpgv: Signature made Sat May 14 02:23:49 2011 UTC using RSA key ID 473041FA
[GNUPG:] ERRSIG AED4B06F473041FA 1 2 00 1305339829 9
[GNUPG:] NO_PUBKEY AED4B06F473041FA
gpgv: Can't check signature: public key not found

The start of file /tmp/net-retriever-1558-Release contains the following
lines:

Origin: Debian
Label: Debian
Suite: testing
Codename: wheezy
Date: Sat, 14 May 2011 02:23:28 UTC
Valid-Until: Sat, 21 May 2011 02:23:28 UTC
Architectures: amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips
mipsel powerpc s390 sparc
Components: main contrib non-free
Description: Debian x.y Testing distribution - Not Released

So, the problem seems to be that the wrong Release file is downloaded by
the installer.









Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#626299; Package debian-installer. (Sat, 14 May 2011 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 14 May 2011 17:06:03 GMT) Full text and rfc822 format available.

Message #30 received at 626299@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: booster@wolke7.net
Cc: 626299@bugs.debian.org
Subject: Re: Bug#626299: debian-installer: installer broken on armel - "Can't check signature: public key not found"
Date: Sat, 14 May 2011 18:03:41 +0100
Can you show me the full boot log, and tell me how you load the
installer image?

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#626299; Package debian-installer. (Sun, 22 May 2011 11:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 22 May 2011 11:45:06 GMT) Full text and rfc822 format available.

Message #35 received at 626299@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: booster@wolke7.net
Cc: 626299@bugs.debian.org
Subject: Re: Bug#626299: debian-installer: installer broken on armel - "Can't check signature: public key not found"
Date: Sun, 22 May 2011 12:42:16 +0100
I just got my TS-219 out and loaded Debian installer without any
problems.

I believe you're loading an old Debian installer image.  Can you tell
me how you load Debian installer?

-- 
Martin Michlmayr
http://www.cyrius.com/




Reply sent to booster@wolke7.net:
You have taken responsibility. (Sun, 22 May 2011 19:15:06 GMT) Full text and rfc822 format available.

Notification sent to Gerd <booster@wolke7.net>:
Bug acknowledged by developer. (Sun, 22 May 2011 19:15:06 GMT) Full text and rfc822 format available.

Message #40 received at 626299-done@bugs.debian.org (full text, mbox):

From: booster@wolke7.net
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 626299-done@bugs.debian.org
Subject: Re: Bug#626299: debian-installer: installer broken on armel - "Can't check signature: public key not found"
Date: Sun, 22 May 2011 21:13:54 +0200
Martin Michlmayr wrote:
> I just got my TS-219 out and loaded Debian installer without any
> problems.
>
> I believe you're loading an old Debian installer image.  Can you tell
> me how you load Debian installer?
>
>   
Hi Martin,

the problem was the tftpd I used to load the debian installer image to
the flash.
It always loaded the old installer image and not the new one I copied to
the tftpd
directory. When I fixed this the installer worked pefect and debian got
installed OK.

Thanks for your help.

Gerd





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Jun 2011 07:37:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:02:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.